### Signal

# Gtk ListBox::row-selected

#### Declaration

    void
    row_selected (
      GtkListBox* self,
      GtkListBoxRow* row,
      gpointer user_data
    )

#### Description [src]

Emitted when a new row is selected, or (with a `NULL` `row`) when the selection is cleared.

When the `box` is using `GTK_SELECTION_MULTIPLE`, this signal will not give you the full picture of selection changes, and you should use the `GtkListBox::selected-rows-changed` signal instead.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`row`

  Type: `GtkListBoxRow`

  The selected row.

  The argument can be `NULL`.
  The data is owned by the caller of the function.